# Class TokenException | ADAS
Represents an exception that is thrown when a token-related error occurs.

# Class TokenException

Namespace
  adas_core.Application.Exceptions

Assembly
  adas-core.Application.dll

Represents an exception that is thrown when a token-related error occurs.

    public class TokenException : Exception, ISerializable

Inheritance
  object
  Exception
  TokenException

Implements
  ISerializable

Inherited Members
  Exception.GetBaseException()
  Exception.GetType()
  Exception.ToString()
  Exception.Data
  Exception.HelpLink
  Exception.HResult
  Exception.InnerException
  Exception.Message
  Exception.Source
  Exception.StackTrace
  Exception.TargetSite
  Exception.SerializeObjectState
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### TokenException(string)

Represents an exception that is thrown when a token-related error occurs.

    public TokenException(string message)

#### Parameters

`message` string

  The message that describes the error.